---
wsId: midas
title: Midas Crypto Wallet
altTitle: 
authors:
- kiwilamb
users: 10000
appId: com.midasprotocol.wallet.android
appCountry: 
released: 2018-11-02
updated: 2021-12-20
version: 2.0.8.1
stars: 4.3
ratings: 450
reviews: 25
size: 43M
website: https://midasprotocol.io
repository: 
issue: 
icon: com.midasprotocol.wallet.android.png
bugbounty: 
meta: ok
verdict: custodial
date: 2021-05-01
signer: 
reviewArchive: 
twitter: MidasProtocol
social:
- https://www.facebook.com/midasprotocol.io
redirect_from: 

---

No statements regarding private key managment can be found on the [providers website](https://midasprotocol.io/) or [Support section](https://support.midasprotocol.io/hc/en-us).
It would be prudent to assume the private keys are under the control of the provider.


Our verdict: This 'wallet' is custodial and therefore is **not verifiable**.
